<html devsite><head>
    <title>网络共享流量</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>网络共享涉及使用 <code>iptables</code> 转发规则将流量从一个网络接口转发到另一个网络接口。系统框架会定期记录由 <code>ConnectivityService.getTetheredIfacePairs()</code> 返回的任何接口对之间的网络共享统计信息。</p>

</body></html>